Publications

Read outgoing conversation reply history

GET
/api/projects/{projectId}/publications/{publicationId}/comments/replies

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Query Parameters

before?string
Formatuuid

Response Body

Response for status 200

application/json
  1. response
replies*array<>
nextBefore*string|null
canReply*boolean
accountName*string|null
provider*string
Value in"bluesky""mastodon"
textLimit*integer
instanceOrigin*string|null
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publications/string/comments/replies'
Example Response
{
  "replies": [
    {
      "id": "string",
      "parentUri": "string",
      "text": "string",
      "state": "pending",
      "authorName": "string",
      "createdAt": 0,
      "updatedAt": 0,
      "externalUrl": "string",
      "lastError": "string"
    }
  ],
  "nextBefore": "string",
  "canReply": true,
  "accountName": "string",
  "provider": "bluesky",
  "textLimit": 0,
  "instanceOrigin": "string"
}

Was this page helpful?